
From: Tom Rini <trini@kernel.crashing.org>

Skip debug sections of modules - taking 12 minutes to load the ipv6 module
is a bug.  :)



---

 arch/ppc/kernel/module.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN arch/ppc/kernel/module.c~ppc-module-skip-debug-sections arch/ppc/kernel/module.c
--- 25/arch/ppc/kernel/module.c~ppc-module-skip-debug-sections	2004-01-15 08:33:02.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/module.c	2004-01-15 08:33:02.000000000 -0800
@@ -88,6 +88,10 @@ static unsigned long get_plt_size(const 
 		    != is_init)
 			continue;
 
+		/* We don't want to look at debug sections. */
+		if (strstr(secstrings + sechdrs[i].sh_name, ".debug") != 0)
+			continue;
+
 		if (sechdrs[i].sh_type == SHT_RELA) {
 			DEBUGP("Found relocations in section %u\n", i);
 			DEBUGP("Ptr: %p.  Number: %u\n",

_
